# Gimp.Brush.set_radius

    @accepts(Gimp.Brush, float, float)
    @returns(bool)
    def set_radius(self, radius_in, radius_out):
        # Python wrapper for gimp_brush_set_radius()

Sets the radius of a generated brush.

Sets the radius for a generated brush. Clamps radius to [0.0, 32767.0]. Returns the clamped value. Returns an error when brush is non-parametric or not editable.

Since 2.4

self

  The brush.

radius_in

  The desired brush radius in pixel.

radius_out

  The brush radius actually assigned.

Returns